import pystan
import matplotlib.pyplot as plt
import numpy as np


Data_Noise = [69, 31]       #   [Correct Rejection, False Alarm]
Data_Signal = [31, 69]      #   [Miss, Hit]

Data = {'Freq_Noise': Data_Noise, 'Freq_Signal': Data_Signal}

fit = pystan.stan(file = 'YN_EqSgm.stan', data = Data, iter = 11000, warmup = 1000, seed = 999, n_jobs = 1)
print(fit)

mu = fit['mu']
c = fit['c']
mu_s = np.sort(mu)
c_s = np.sort(c)
mu_med = mu_s[int(len(mu_s)/2)]
c_med = c_s[int(len(c_s)/2)]

plt.hist(mu)
plt.title("mu (d') = {0:<.3f} (med)".format(mu_med))
plt.show()

plt.hist(c)
plt.title("Criterion = {0:<.3f} (med)".format(c_med))
plt.show()
